[@algorandfoundation/algokit-utils](../README.md) / [types/app](../modules/types_app.md) / BoxName

# Interface: BoxName

[types/app](../modules/types_app.md).BoxName

The name of a box storage box

## Table of contents

### Properties

- [name](types_app.BoxName.md#name)
- [nameBase64](types_app.BoxName.md#namebase64)
- [nameRaw](types_app.BoxName.md#nameraw)

## Properties

### name

• **name**: `string`

Name in UTF-8

#### Defined in

[src/types/app.ts:387](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/app.ts#L387)

___

### nameBase64

• **nameBase64**: `string`

Name in Base64

#### Defined in

[src/types/app.ts:391](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/app.ts#L391)

___

### nameRaw

• **nameRaw**: `Uint8Array`

Name in binary bytes

#### Defined in

[src/types/app.ts:389](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/app.ts#L389)
